summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNikita Shulga <nshulga@fb.com>2021-10-05 20:12:40 -0700
committerGitHub <noreply@github.com>2021-10-05 20:12:40 -0700
commit2b46c95e7c6a34f85b538ddd06372ea87912ed15 (patch)
treea46f9f554c87a7bf016ab9eb14a9c839bf475985
parent5f3eee1ca5bb71113a4d7b3ca1d31680806f86a8 (diff)
downloadpytorch-2b46c95e7c6a34f85b538ddd06372ea87912ed15.tar.gz
pytorch-2b46c95e7c6a34f85b538ddd06372ea87912ed15.tar.bz2
pytorch-2b46c95e7c6a34f85b538ddd06372ea87912ed15.zip
[iOS][CI] Update dev certs (#66004) (#66188)
Summary: Fixes https://github.com/pytorch/pytorch/issues/65988 Pull Request resolved: https://github.com/pytorch/pytorch/pull/66004 Reviewed By: xta0 Differential Revision: D31340893 Pulled By: malfet fbshipit-source-id: 3bf0be266e9686a73d62e86c5cf0bebeb0416260 Co-authored-by: Tao Xu <taox@fb.com>
-rw-r--r--.circleci/config.yml11
-rw-r--r--.circleci/scripts/binary_ios_test.sh11
-rw-r--r--.circleci/verbatim-sources/job-specs/job-specs-custom.yml11
-rw-r--r--ios/TestApp/AppleWWDRCAG3.cerbin0 -> 1109 bytes
-rw-r--r--ios/TestApp/fastlane/Fastfile9
5 files changed, 26 insertions, 16 deletions
diff --git a/.circleci/config.yml b/.circleci/config.yml
index 49d57bf5bc..0bd8e8e1a4 100644
--- a/.circleci/config.yml
+++ b/.circleci/config.yml
@@ -1735,16 +1735,17 @@ jobs:
# install fastlane
sudo gem install bundler && bundle install
# install certificates
- echo ${IOS_CERT_KEY} >> cert.txt
+ echo ${IOS_CERT_KEY_2022} >> cert.txt
base64 --decode cert.txt -o Certificates.p12
rm cert.txt
- bundle exec fastlane install_cert
+ bundle exec fastlane install_root_cert
+ bundle exec fastlane install_dev_cert
# install the provisioning profile
- PROFILE=PyTorch_CI_2021.mobileprovision
+ PROFILE=PyTorch_CI_2022.mobileprovision
PROVISIONING_PROFILES=~/Library/MobileDevice/Provisioning\ Profiles
mkdir -pv "${PROVISIONING_PROFILES}"
cd "${PROVISIONING_PROFILES}"
- echo ${IOS_SIGN_KEY} >> cert.txt
+ echo ${IOS_SIGN_KEY_2022} >> cert.txt
base64 --decode cert.txt -o ${PROFILE}
rm cert.txt
- run:
@@ -1803,7 +1804,7 @@ jobs:
command: |
set -e
PROJ_ROOT=/Users/distiller/project
- PROFILE=PyTorch_CI_2021
+ PROFILE=PyTorch_CI_2022
# run the ruby build script
if ! [ -x "$(command -v xcodebuild)" ]; then
echo 'Error: xcodebuild is not installed.'
diff --git a/.circleci/scripts/binary_ios_test.sh b/.circleci/scripts/binary_ios_test.sh
index 5280b62a4e..c3d91a231e 100644
--- a/.circleci/scripts/binary_ios_test.sh
+++ b/.circleci/scripts/binary_ios_test.sh
@@ -8,16 +8,17 @@ cd ${PROJ_ROOT}/ios/TestApp
# install fastlane
sudo gem install bundler && bundle install
# install certificates
-echo "${IOS_CERT_KEY}" >> cert.txt
+echo "${IOS_CERT_KEY_2022}" >> cert.txt
base64 --decode cert.txt -o Certificates.p12
rm cert.txt
-bundle exec fastlane install_cert
+bundle exec fastlane install_root_cert
+bundle exec fastlane install_dev_cert
# install the provisioning profile
-PROFILE=PyTorch_CI_2021.mobileprovision
+PROFILE=PyTorch_CI_2022.mobileprovision
PROVISIONING_PROFILES=~/Library/MobileDevice/Provisioning\ Profiles
mkdir -pv "${PROVISIONING_PROFILES}"
cd "${PROVISIONING_PROFILES}"
-echo "${IOS_SIGN_KEY}" >> cert.txt
+echo "${IOS_SIGN_KEY_2022}" >> cert.txt
base64 --decode cert.txt -o ${PROFILE}
rm cert.txt
# run the ruby build script
@@ -25,5 +26,5 @@ if ! [ -x "$(command -v xcodebuild)" ]; then
echo 'Error: xcodebuild is not installed.'
exit 1
fi
-PROFILE=PyTorch_CI_2021
+PROFILE=PyTorch_CI_2022
ruby ${PROJ_ROOT}/scripts/xcode_build.rb -i ${PROJ_ROOT}/build_ios/install -x ${PROJ_ROOT}/ios/TestApp/TestApp.xcodeproj -p ${IOS_PLATFORM} -c ${PROFILE} -t ${IOS_DEV_TEAM_ID} -f Accelerate,MetalPerformanceShaders,CoreML
diff --git a/.circleci/verbatim-sources/job-specs/job-specs-custom.yml b/.circleci/verbatim-sources/job-specs/job-specs-custom.yml
index 765c1d8206..f82512236b 100644
--- a/.circleci/verbatim-sources/job-specs/job-specs-custom.yml
+++ b/.circleci/verbatim-sources/job-specs/job-specs-custom.yml
@@ -467,16 +467,17 @@
# install fastlane
sudo gem install bundler && bundle install
# install certificates
- echo ${IOS_CERT_KEY} >> cert.txt
+ echo ${IOS_CERT_KEY_2022} >> cert.txt
base64 --decode cert.txt -o Certificates.p12
rm cert.txt
- bundle exec fastlane install_cert
+ bundle exec fastlane install_root_cert
+ bundle exec fastlane install_dev_cert
# install the provisioning profile
- PROFILE=PyTorch_CI_2021.mobileprovision
+ PROFILE=PyTorch_CI_2022.mobileprovision
PROVISIONING_PROFILES=~/Library/MobileDevice/Provisioning\ Profiles
mkdir -pv "${PROVISIONING_PROFILES}"
cd "${PROVISIONING_PROFILES}"
- echo ${IOS_SIGN_KEY} >> cert.txt
+ echo ${IOS_SIGN_KEY_2022} >> cert.txt
base64 --decode cert.txt -o ${PROFILE}
rm cert.txt
- run:
@@ -535,7 +536,7 @@
command: |
set -e
PROJ_ROOT=/Users/distiller/project
- PROFILE=PyTorch_CI_2021
+ PROFILE=PyTorch_CI_2022
# run the ruby build script
if ! [ -x "$(command -v xcodebuild)" ]; then
echo 'Error: xcodebuild is not installed.'
diff --git a/ios/TestApp/AppleWWDRCAG3.cer b/ios/TestApp/AppleWWDRCAG3.cer
new file mode 100644
index 0000000000..32f96f81dd
--- /dev/null
+++ b/ios/TestApp/AppleWWDRCAG3.cer
Binary files differ
diff --git a/ios/TestApp/fastlane/Fastfile b/ios/TestApp/fastlane/Fastfile
index 3e8ef00f0f..42a6346e1b 100644
--- a/ios/TestApp/fastlane/Fastfile
+++ b/ios/TestApp/fastlane/Fastfile
@@ -4,7 +4,14 @@ platform :ios do
before_all do
setup_circle_ci
end
- lane :install_cert do
+ lane :install_root_cert do
+ import_certificate(
+ certificate_path: "AppleWWDRCAG3.cer",
+ keychain_path: "/Users/distiller/Library/Keychains/fastlane_tmp_keychain-db",
+ keychain_password: ""
+ )
+ end
+ lane :install_dev_cert do
puts "Installing Certificates.p12"
import_certificate(
keychain_name: ENV["MATCH_KEYCHAIN_NAME"],